<?php

/**
 * Quidus Customizer functionality
*/

/**
 * Add postMessage support for site title and description for the Customizer.
 *
 *
 * @param WP_Customize_Manager $wp_customize Customizer object.
*/
 
require get_template_directory() . '/inc/customizer-sections.php';

global $font_choices;
$font_choices = 
        array(
			'Open Sans:400italic,700italic,400,700' => 'Open Sans',
			'Playfair Display:400,700,400italic' => 'Playfair Display',
			'Montserrat:400,700' => 'Montserrat',
            'Source Sans Pro:400,700,400italic,700italic' => 'Source Sans Pro',
			'Raleway:400,100,200,300,500,600,700,800,900' => 'Raleway',
            'Droid Sans:400,700' => 'Droid Sans',
			'Titillium+Web:400,200,200italic,300,300italic,400italic,600,600italic,700,700italic,900' => 'Titillium Web',
            'Lato:400,700,400italic,700italic' => 'Lato',
            'Arvo:400,700,400italic,700italic' => 'Arvo',
            'Lora:400,700,400italic,700italic' => 'Lora',
			'Merriweather:400,300italic,300,400italic,700,700italic' => 'Merriweather',
			'Oxygen:400,300,700' => 'Oxygen',
			'PT Serif:400,700' => 'PT Serif', 
            'PT Sans:400,700,400italic,700italic' => 'PT Sans',
            'PT Sans Narrow:400,700' => 'PT Sans Narrow',
			'Cabin:400,700,400italic' => 'Cabin',
			'Josefin Sans:400,300,600,700' => 'Josefin Sans',  
			'Libre Baskerville:400,400italic,700' => 'Libre Baskerville',
            'Arimo:400,700,400italic,700italic' => 'Arimo',
            'Ubuntu:400,700,400italic,700italic' => 'Ubuntu',
            'Bitter:400,700,400italic' => 'Bitter',
            'Droid Serif:400,700,400italic,700italic' => 'Droid Serif',
            'Roboto:400,400italic,700,700italic' => 'Roboto',
            'Oswald:400,700' => 'Oswald',
            'Roboto Condensed:400italic,700italic,400,700' => 'Roboto Condensed',
            'Roboto Slab:400,700' => 'Roboto Slab',
            'Exo:400,700,700italic,400italic' => 'Exo',
			'Exo+2:400,400italic,700,700italic' => 'Exo 2',
			'Alegreya+Sans+SC:400,400italic,700,700italic' => 'Alegreya Sans SC',
			'Alegreya+Sans:400,400italic,700,700italic' => 'Alegreya Sans',
			'Josefin+Slab:400,700,700italic,400italic' => 'Josefin Slab',
			'Merriweather+Sans:400,400italic,700,700italic' => 'Merriweather Sans',
			'Fira+Sans:400,400italic,700,700italic' => 'Fira Sans',
			'Yanone Kaffeesatz:400,700' => 'Yanone Kaffeesatz',
    );

global $social_networks;
$social_networks = array('Facebook', 'Twitter', 'Linkedin', 'Pinterest', 'Googleplus', 'Tumblr', 'Feed', 'Instagram', 'Flickr', 'Youtube', 'Stumbleupon', 'Dribbble', 'Codepen', 'Digg', 'Reddit', 'Github', 'Wordpress', 'Polldaddy', 'Skype', 'Twitch', 'Foursquare');


function quidus_customizer_controls( $controls ) {

	global $social_networks;
	global $font_choices;
	global $posts_layout_choices;
	foreach ($social_networks as $network) {

		$controls[] = array(
			'type'        => 'text',
			'setting'     => 'author_' . lcfirst($network),
			'label'       => $network,
			'section'     => 'quidus_author_social',
			'default'     => __( 'Social Network Url' , 'quidus' ),
			'priority'    => 10,
		);
	}
	
	foreach ($social_networks as $network) {

		$controls[] = array(
			'type'        => 'text',
			'setting'     => 'my_' . lcfirst($network),
			'label'       => $network,
			'section'     => 'quidus_header_social',
			'default'     => __( 'Social Network Url' , 'quidus' ),
			'priority'    => 10,
		);
	}
	
	foreach ($social_networks as $network) {

		$controls[] = array(
			'type'        => 'text',
			'setting'     => 'footer_' . lcfirst($network),
			'label'       => $network,
			'section'     => 'quidus_footer_social',
			'default'     => __( 'Social Network Url' , 'quidus' ),
			'priority'    => 10,
		);
	}
	
	/* General Color Options */
	
	/* Background Color */
	
	$controls[] = array(
		'type'        => 'color',
		'setting'     => 'quidus_color_background',
		'label'       => __( 'Background Color', 'quidus' ),
		'section'     => 'quidus_colors_general',
		'default'     => '#FCFCFC',
		'priority'    => 1
	);
	
	/* Main Color */
	
	$controls[] = array(
		'type'        => 'color',
		'setting'     => 'quidus_color_main',
		'label'       => __( 'Main Color', 'quidus' ),
		'section'     => 'quidus_colors_general',
		'default'     => '#3f3f40',
		'priority'    => 1
	);
	
	/* Secondary Color */
	
	$controls[] = array(
		'type'        => 'color',
		'setting'     => 'quidus_color_secondary',
		'label'       => __( 'Secondary Color', 'quidus' ),
		'section'     => 'quidus_colors_general',
		'default'     => '#515152',
		'priority'    => 1
	);
	
	/*  Color */
	
	$controls[] = array(
		'type'        => 'color',
		'setting'     => 'quidus_color_special',
		'label'       => __( 'Special Color', 'quidus' ),
		'section'     => 'quidus_colors_general',
		'default'     => '#d5574d',
		'priority'    => 1
	);
	
	/*  Posts & sidebars background */
	
	$controls[] = array(
		'type'        => 'color',
		'setting'     => 'quidus_color_content_background',
		'label'       => __( 'Posts & Sidebars Background Color', 'quidus' ),
		'section'     => 'quidus_colors_general',
		'default'     => '#fff',
		'priority'    => 1
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_enable_transparent_background',
		'label'       => __( 'Enable Transparent Background On Posts & Sidebars', 'quidus' ),
		'section'     => 'quidus_colors_general',
		'default'     => true,
		'priority'    => 1,
	);
	
	/*  Posts & sidebars box shadow opacity */
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_box_shadow_opacity',
		'label'       => __( 'Post & Sidebar Border Opacity', 'quidus' ),
		'section'     => 'quidus_colors_general',
		'default'     => 15,
		'priority'    => 1,
		'choices'     => array(
			'min'  => 10,
			'max'  => 20,
			'step' => 1
		),
	);
	
	/* General Font Family Options */
	
	/* Body Font Family */
	
	$controls[] = array(
		'type'        => 'select',
		'setting'     => 'quidus_body_font',
		'label'       => __( 'Body Font Family', 'quidus' ),
		'description' => __( 'Changes font of all non-header elements.', 'quidus'),
		'section'     => 'quidus_font_family_general',
		'default'     => 'Source Sans Pro:400,700,400italic,700italic',
		'priority'    => 1,
		'choices'     => $font_choices
	);
	
	/* Header Font Family */
	
	$controls[] = array(
		'type'        => 'select',
		'setting'     => 'quidus_header_font',
		'label'       => __( 'Headers Font Family', 'quidus' ),
		'description' => __( 'Changes font of all the header elements.', 'quidus'),
		'section'     => 'quidus_font_family_general',
		'default'     => 'Open Sans:400italic,700italic,400,700',
		'priority'    => 2,
		'choices'     => $font_choices
	);
	
	/* Layout */
	
	/* Left Sidebar width desktop */
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_sidebar_width_desktop',
		'label'       => __( 'Left Sidebar Width (desktop/%)', 'quidus' ),
		'description' => __( 'Changes width of the left sidebar for screen sizes that are higher than 955px.', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => 25,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 15,
			'max'  => 35,
			'step' => 1
		),
	);
	
	/* Content width desktop */
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_content_width_desktop',
		'label'       => __( 'Content Width (desktop/%)', 'quidus' ),
		'description' => __( 'Changes width of the content for screen sizes that are higher than 955px.', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => 75,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 50,
			'max'  => 100,
			'step' => 1
		),
	);
	
	/* Right Sidebar width desktop */
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_right_sidebar_width',
		'label'       => __( 'Right Sidebar Width (desktop/%)', 'quidus' ),
		'description' => __( 'Changes width of the right sidebar for screen sizes that are higher than 955px.', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => 22,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 15,
			'max'  => 35,
			'step' => 1
		),
	);	
	
	/* Logo Upload */
	
	$controls[] = array(
		'type'        => 'upload',
		'setting'     => 'quidus_logo',
		'label'       => __( 'Logo Upload', 'quidus' ),
		'description' => __( 'Recommended logo size is 340x136px.', 'quidus' ),
		'section'     => 'title_tagline',
		'default'     => '',
		'priority'    => 10,
	);
	
	/* Favicon Upload */
	
	$controls[] = array(
		'type'        => 'upload',
		'setting'     => 'quidus_site_favicon',
		'label'       => __( 'Favicon Upload', 'quidus' ),
		'description' => __( 'Recommended favicon size is 16x16px.', 'quidus' ),
		'section'     => 'title_tagline',
		'default'     => '',
		'priority'    => 10,
	);
	
	/* Excerpt Length */
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_excerpt_length',
		'label'       => __( 'Excerpt Length', 'quidus' ),
		'description' => __( 'Adjust length of excerpt.', 'quidus' ),
		'section'     => 'quidus_excerpt',
		'default'     => 55,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 20,
			'max'  => 85,
			'step' => 1
		),
	);
	
	/* Font Sizes */
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_h1_size',
		'label'       => __( 'H1 Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_site_title_size',
		'label'       => __( 'Site Title Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_h2_size',
		'label'       => __( 'H2 Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_widget_title_size',
		'label'       => __( 'Widget Title Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_h3_size',
		'label'       => __( 'H3 Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_h4_size',
		'label'       => __( 'H4 Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_h5_size',
		'label'       => __( 'H5 Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_h6_size',
		'label'       => __( 'H6 Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_content_meta_size',
		'label'       => __( 'Content Meta Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_content_paragraph_size',
		'label'       => __( 'Content Paragraph Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_site_description_size',
		'label'       => __( 'Site Description Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_list_font_size',
		'label'       => __( 'Unordered & Ordered Lists Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_table_font_size',
		'label'       => __( 'Table & Calendar Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_definition_font_size',
		'label'       => __( 'Definition List Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_address_font_size',
		'label'       => __( 'Address Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_pre_font_size',
		'label'       => __( 'Code Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'radio-image',
		'setting'     => 'quidus_footer_widgets_count',
		'label'       => __( 'Footer Widget Layout', 'quidus' ),
		'description' => __( 'Choose how many widgets you want to appear in footer.', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => 'threecolumn',
		'priority'    => 10,
		'choices'     => array(
			'threecolumn' => get_template_directory_uri() . '/img/threecolumn.png',
			'twocolumn' => get_template_directory_uri() . '/img/twocolumn.png',
		),
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_disable_entry_meta_single',
		'label'       => __( 'Hide Entry Meta On Single Posts', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_disable_featured_image_home',
		'label'       => __( 'Hide Featured Image On Home Page', 'quidus' ),
		'description' => __( 'Faster home page loading speed improves on-page SEO but may hurt aesthetics.', 'quidus'),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_disable_featured_image_search',
		'label'       => __( 'Hide Featured Image On Search Page', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_website_max_width',
		'label'       => __( 'Website Max Width', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => 1403,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 1180,
			'max'  => 1905,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_logo_max_width_desktop',
		'label'       => __( 'Logo Max Width', 'quidus' ),
		'section'     => 'title_tagline',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 25,
			'max'  => 100,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_logo_max_width_tablet_large',
		'label'       => __( 'Logo Max Width (tablet large)', 'quidus' ),
		'section'     => 'title_tagline',
		'default'     => 50,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 25,
			'max'  => 60,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_logo_max_width_tablet_small',
		'label'       => __( 'Logo Max Width (tablet small)', 'quidus' ),
		'section'     => 'title_tagline',
		'default'     => 50,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 25,
			'max'  => 75,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_logo_max_width_mobile',
		'label'       => __( 'Logo Max Width (mobile)', 'quidus' ),
		'section'     => 'title_tagline',
		'default'     => 60,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 25,
			'max'  => 60,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_footer_font_size',
		'label'       => __( 'Footer Text Font Size', 'quidus' ),
		'section'     => 'quidus_font_size_advanced',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	);

	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_body_font_custom_enable',
		'label'       => __( 'Enable Custom Body Font', 'quidus' ),
		'section'     => 'quidus_font_family_general',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'text',
		'setting'     => 'quidus_body_font_custom',
		'label'       => __( 'Body Font (Custom)', 'quidus' ),
		'section'     => 'quidus_font_family_general',
		'default'     => 'Source Sans Pro:400,700,400italic,700italic',
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'text',
		'setting'     => 'quidus_body_font_family_custom',
		'label'       => __( 'Body Font Family (Custom)', 'quidus' ),
		'section'     => 'quidus_font_family_general',
		'default'     => 'Source Sans Pro, sans-serif',
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_header_font_custom_enable',
		'label'       => __( 'Enable Custom Header Font', 'quidus' ),
		'section'     => 'quidus_font_family_general',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'text',
		'setting'     => 'quidus_header_font_custom',
		'label'       => __( 'Headers Font (Custom)', 'quidus' ),
		'section'     => 'quidus_font_family_general',
		'default'     => 'Open Sans:400italic,700italic,400,700',
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'text',
		'setting'     => 'quidus_header_font_family_custom',
		'label'       => __( 'Headers Font Family (Custom)', 'quidus' ),
		'section'     => 'quidus_font_family_general',
		'default'     => 'Open Sans, sans-serif',
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_site_distance_from_left',
		'label'       => __( 'Site Distance From Left (desktop/%)', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => 5,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 0,
			'max'  => 15,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_switch_to_centered_layout',
		'label'       => __( 'Switch To Centered Site Layout', 'quidus' ),
		'description' => __( 'Distance from right and left sides will be the same.', 'quidus'),
		'section'     => 'quidus_layout',
		'default'     => 1,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_post_title_align_left',
		'label'       => __( 'Post Title & Meta Align Left', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_widget_title_align_left',
		'label'       => __( 'Widget Title Align Left', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);

	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_comments_title_align_left',
		'label'       => __( 'Comments Title Align Left', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_post_format_icons_disable',
		'label'       => __( 'Disable Post Format Icons', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_featured_image_single_disable',
		'label'       => __( 'Disable Featured Image On Single Post', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'switch',
		'settings'    => 'quidus_enable_horizontal_menu',
		'label'       => __( 'Enable Horizontal Menu', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
		'choices'     => array(
			'on'  => __( 'On', 'quidus' ),
			'off' => __( 'Off', 'quidus' )
		),
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_horizontal_menu_search_enable',
		'label'       => __( 'Show Search In Horizontal Menu', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_horizontal_menu_cart_enable',
		'label'       => __( 'Show Cart In Horizontal Menu', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'upload',
		'setting'     => 'quidus_header_image',
		'label'       => __( 'Header Image', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => '',
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_transparent_menu_home_enable',
		'label'       => __( 'Enable Transparent Menu On Home Page', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_header_image_parallax_translate',
		'label'       => __( 'Header Image TranslateY Count', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => 225,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 0,
			'max'  => 300,
			'step' => 1
		),
	);
	
	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_enable_home_header_text',
		'label'       => __( 'Show Text Box In Home Header Image', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'text',
		'settings'    => 'quidus_home_header_heading',
		'label'       => __( 'Header Text Box Heading', 'quidus' ),
		'section'     => 'quidus_layout',
		'priority'    => 10
	);
	
	
	$controls[] = array(
		'type'        => 'textarea',
		'settings'    => 'quidus_home_header_description',
		'label'       => __( 'Header Text Box Description', 'quidus' ),
		'section'     => 'quidus_layout',
		'priority'    => 10
	);

	$controls[] = array(
		'type'        => 'checkbox',
		'setting'     => 'quidus_enable_home_header_text_background',
		'label'       => __( 'Apply Background To Home Header Text Box', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => false,
		'priority'    => 10,
	);
	
	$controls[] = array(
		'type'        => 'slider',
		'setting'     => 'quidus_enable_home_header_text_background_opacity',
		'label'       => __( 'Background Opacity', 'quidus' ),
		'section'     => 'quidus_layout',
		'default'     => 15,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 0,
			'max'  => 100,
			'step' => 1
		),
	);

    return $controls;
}
add_filter( 'kirki/fields', 'quidus_customizer_controls' );

function quidus_css_customizer() {
	global $font_choices; 
	$header_font = get_theme_mod('quidus_header_font');
	$body_font = get_theme_mod('quidus_body_font'); 
	$primary_body_font = 'Source Sans Pro, sans-serif';
	$primary_header_font = 'Open Sans, sans-serif';
	$content_width_default = 75;
	$sidebar_width_default = 25;
	
	//Variables
	
	$quidus_color_background = get_theme_mod( 'quidus_color_background' );
	$quidus_color_main = get_theme_mod( 'quidus_color_main' );
	$quidus_color_secondary = get_theme_mod( 'quidus_color_secondary' );
	$quidus_color_special = get_theme_mod( 'quidus_color_special' );
	$quidus_header_font_family_custom = get_theme_mod('quidus_header_font_family_custom');
	$quidus_body_font_family_custom = get_theme_mod('quidus_body_font_family_custom');
	$quidus_content_width_desktop = get_theme_mod( 'quidus_content_width_desktop' );
	$quidus_sidebar_width_desktop = get_theme_mod( 'quidus_sidebar_width_desktop' );
	$quidus_right_sidebar_width = get_theme_mod( 'quidus_right_sidebar_width' );
	$quidus_website_max_width = get_theme_mod( 'quidus_website_max_width' );
	$quidus_h1_size = get_theme_mod( 'quidus_h1_size' );
	$quidus_site_title_size = get_theme_mod( 'quidus_site_title_size' );
	$quidus_site_description_size = get_theme_mod( 'quidus_site_description_size' );
	$quidus_footer_font_size = get_theme_mod( 'quidus_footer_font_size' );
	$quidus_h2_size = get_theme_mod( 'quidus_h2_size' );
	$quidus_widget_title_size = get_theme_mod( 'quidus_widget_title_size' );
	$quidus_h3_size = get_theme_mod( 'quidus_h3_size' );
	$quidus_h4_size = get_theme_mod( 'quidus_h4_size' );
	$quidus_h5_size = get_theme_mod( 'quidus_h5_size' );
	$quidus_h6_size = get_theme_mod( 'quidus_h6_size' );
	$quidus_content_paragraph_size = get_theme_mod( 'quidus_content_paragraph_size' );
	$quidus_content_meta_size = get_theme_mod( 'quidus_content_meta_size' );
	$quidus_list_font_size = get_theme_mod( 'quidus_list_font_size' );
	$quidus_table_font_size = get_theme_mod( 'quidus_table_font_size' );
	$quidus_definition_font_size = get_theme_mod( 'quidus_definition_font_size' );
	$quidus_address_font_size = get_theme_mod( 'quidus_address_font_size' );
	$quidus_pre_font_size = get_theme_mod( 'quidus_pre_font_size' );
	$quidus_logo_max_width_desktop = get_theme_mod( 'quidus_logo_max_width_desktop' );
	$quidus_logo_max_width_tablet_large = get_theme_mod( 'quidus_logo_max_width_tablet_large' );
	$quidus_logo_max_width_tablet_small = get_theme_mod( 'quidus_logo_max_width_tablet_small' );
	$quidus_logo_max_width_mobile = get_theme_mod( 'quidus_logo_max_width_mobile' );
	$quidus_site_distance_from_left = get_theme_mod( 'quidus_site_distance_from_left' );
	$quidus_color_content_background = get_theme_mod( 'quidus_color_content_background' );
	$quidus_box_shadow_opacity = get_theme_mod( 'quidus_box_shadow_opacity' );
?>

<style type="text/css">

<?php 
$main_color = "#3f3f40";
$secondary_color = "#515152";
$special_color = "#d5574d"; 
$white_color = "#fcfcfc";
?>

body {
background-color: <?php if ( get_theme_mod('quidus_color_background') == '' ) : echo esc_attr($white_color); else : echo esc_attr($quidus_color_background); endif; ?> !important;
}

.dropcap,
h1,
h2,
h3,
h4,
h5,
h6,
blockquote,
blockquote cite,
blockquote small,
.post-password-form label,
a,
.main-navigation a:hover,
.main-navigation a:focus,
.author-social,
.author-social span,
.my-social span,
.secondary-toggle:before,
.widget-title,
.widget_calendar tbody a,
.widget a,
.comment-author,
.comment-form label,
.quidus_content_link,
.quidus_content_link:after,
.comment-metadata a,
.pingback .edit-link a,
.comment-list .reply a,
.entry-footer a,
.image-navigation a,
.comment-navigation a,
.posted-on a,
.byline a,
.cat-links a,
.tags-links a,
.comments-link a,
.entry-format a,
.full-size-link a,
th,
dt,
label,
.woocommerce .woocommerce-breadcrumb a,
.woocommerce #reviews #comments ol.commentlist li .meta strong,
.menu-holder .my-social span,
.menu-holder .main-navigation a,
.menu-holder .toggle-search, 
.menu-holder .menu-cart-wrapper .cart-contents,
.dropdown-toggle:after,
.menu-cart-wrapper .cart-contents:focus
{
color:<?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?>;
}

.main-navigation li,
.footer-link,
#yith-wcwl-message
{
color:<?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?> !important;
}

.entry-content .quidus-link-wrapper {
border-left:3px solid <?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?>;
}

.search-expand-inner .search-form .search-field {
border:3px solid <?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?>;
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"],
.pagination,
.comment-list .reply a,
.pagination,
.page-links a,
.widget_calendar tbody a,
.tagcloud a,
.woocommerce #respond input#submit.alt, 
.woocommerce a.button.alt, 
.woocommerce button.button.alt, 
.woocommerce input.button.alt,
.woocommerce nav.woocommerce-pagination ul li a, 
.woocommerce nav.woocommerce-pagination ul li span,
.woocommerce div.product .woocommerce-tabs ul.tabs li,
.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.woocommerce-shipping-calculator > p a,
.woocommerce .widget_price_filter .ui-slider .ui-slider-range
{
	background-color: <?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?>;
}

.page-links a,
.comment-list .reply a,
.search-submit {
background-color: <?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?> !important;
}

body,
button,
input,
select,
textarea,
input,
textarea,
.post-navigation .meta-nav,
.image-navigation,
.comment-navigation,
.widget,
.author-heading,
.entry-footer,
.taxonomy-description,
.page-links > .page-links-title,
.entry-caption,
.no-comments,
.comment-notes,
.comment-awaiting-moderation,
.logged-in-as,
.form-allowed-tags,
.wp-caption-text,
.gallery-caption,
.site-info,
.widget input[type="text"],
.widget input[type="email"],
.widget input[type="url"],
.widget input[type="password"],
.widget input[type="search"],
.widget textarea,
.site-description,
.site-info a,
.site-info a:hover,
.posted-on:before, 
.byline:before,
.cat-links:before,
.tags-links:before,
.comments-link:before,
.entry-format:before,
.edit-link:before,
.full-size-link:before,
.post-mark,
.video-mark,
.main-navigation .menu-item-description,
dd,
.woocommerce .woocommerce-breadcrumb,
.woocommerce #reviews #comments ol.commentlist li .meta time,
.woocommerce nav.woocommerce-pagination ul li span.current,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
.woocommerce small.note,
.select2-container .select2-choice,
.select2-container .select2-choice:hover,
.woocommerce-checkout #payment div.payment_box,
.woocommerce-cart .cart-collaterals .cart_totals .discount td,
.woocommerce #reviews #comments ol.commentlist li .meta,
.woocommerce #reviews h2 small,
.woocommerce #reviews h2 small a,
.woocommerce-cart .cart-collaterals .cart_totals p small,
.woocommerce-cart .cart-collaterals .cart_totals table small,
.woocommerce-checkout #payment div.payment_box span.help
{
	color: <?php if ( get_theme_mod('quidus_color_secondary') == '' ) : echo esc_attr($secondary_color); else : echo esc_attr($quidus_color_secondary); endif; ?>;
}

.entry-content p,
.site-description,
::-webkit-input-placeholder,
:-moz-placeholder,
::-moz-placeholder,
:-ms-input-placeholder,
input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
textarea:focus,
pre 

{
	color: <?php if ( get_theme_mod('quidus_color_secondary') == '' ) : echo esc_attr($secondary_color); else : echo esc_attr($quidus_color_secondary); endif; ?> !important;
}

.highlight,
.quidus-content-quote-icon
a:hover,
a:focus,
.posted-on a:hover,
.posted-on span:hover,
.byline a:hover,
.cat-links a:hover,
.tags-links a:hover,
.comments-link a:hover,
.entry-format a:hover,
.full-size-link a:hover,
.edit-link a:hover,
.bypostauthor > article .fn,
.comment-metadata a:hover,
.comment-metadata a:focus,
.pingback .edit-link a:hover,
.pingback .edit-link a:focus,
.widget a:hover,
.entry-content a:hover,
.site-title a,
.menu-holder .site-title a:hover,
.author-social span:hover,
.footer-social span:hover,
.my-social span:hover,
.woocommerce .woocommerce-breadcrumb a:hover,
.woocommerce .woocommerce-breadcrumb a:focus,
.woocommerce div.product p.price,
.woocommerce div.product span.price,
.product_meta .tagged_as a:hover,
.product_meta .tagged_as a:focus,
.product_meta .posted_in a:hover,
.product_meta .posted_in a:focus,
.woocommerce-review-link:hover,
.woocommerce-review-link:focus,
.woocommerce .woocommerce-message:before,
.woocommerce ul.products li.product .price,
.woocommerce div.product .stock,
.woocommerce div.product .out-of-stock,
.woocommerce .woocommerce-error:before,
.woocommerce .woocommerce-info:before,
.woocommerce .widget_layered_nav ul li.chosen a:before,
.woocommerce .widget_layered_nav_filters ul li a:before,
mark,
ins,
.wishlist_table tr td.product-stock-status span.wishlist-in-stock,
.wishlist_table tr td.product-stock-status span.wishlist-out-of-stock
{
	color: <?php if ( get_theme_mod('quidus_color_special') == '' ) : echo esc_attr($special_color); else : echo esc_attr($quidus_color_special); endif; ?>;
}

button:hover,
input[type="button"]:hover,
input[type="reset"]:hover,
input[type="submit"]:hover,
button:focus,
input[type="button"]:focus,
input[type="reset"]:focus,
input[type="submit"]:focus,
.main-navigation ul,
.main-navigation li,
.pagination:hover,
.widget_calendar tbody a:hover,
.widget_calendar tbody a:focus,
.video-mark,
.post-mark,
.comment-list .reply a:hover,
.tagcloud a:hover,
.woocommerce span.onsale,
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover,
.woocommerce #respond input#submit.alt:focus,
.woocommerce a.button.alt:focus,
.woocommerce button.button.alt:focus,
.woocommerce input.button.alt:focus,
.woocommerce nav.woocommerce-pagination ul li a:focus,
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce div.product .woocommerce-tabs ul.tabs li:hover,
.woocommerce #respond input#submit:hover,
.woocommerce a.button:hover,
.woocommerce button.button:hover,
.woocommerce input.button:hover,
.woocommerce-shipping-calculator > p a:hover,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.header-menu-cart-count
{
	background:<?php if ( get_theme_mod('quidus_color_special') == '' ) : echo esc_attr($special_color); else : echo esc_attr($quidus_color_special); endif; ?>;
}

.page-links a:hover,
.page-links a:focus,
.comment-list .reply a:hover,
.search-submit:hover,
.woocommerce a.remove:hover {
background:<?php if ( get_theme_mod('quidus_color_special') == '' ) : echo esc_attr($special_color); else : echo esc_attr($quidus_color_special); endif; ?> !important;
}

blockquote 
{
	border-left:3px solid <?php if ( get_theme_mod('quidus_color_special') == '' ) : echo esc_attr($special_color); else : echo esc_attr($quidus_color_special); endif; ?>;
}

.image-navigation .nav-previous:not(:empty) a:hover,
.image-navigation .nav-next:not(:empty) a:hover,
.footer-link:hover,
h1 a:hover,
h2 a:hover,
h3 a:hover,
h4 a:hover,
h5 a:hover,
h6 a:hover,
.sticky-post,
.woocommerce a.remove {
	color:<?php if ( get_theme_mod('quidus_color_special') == '' ) : echo esc_attr($special_color); else : echo esc_attr($quidus_color_special); endif; ?> !important;
}

.woocommerce .woocommerce-message,
.woocommerce .woocommerce-error,
.woocommerce .woocommerce-info {
    border-top-color: <?php if ( get_theme_mod('quidus_color_special') == '' ) : echo esc_attr($special_color); else : echo esc_attr($quidus_color_special); endif; ?> !important;
}

.widget-title {
	border-bottom:3px solid <?php if ( get_theme_mod('quidus_color_special') == '' ) : echo esc_attr($special_color); else : echo esc_attr($quidus_color_special); endif; ?>;
}

h1,
h2,
h3,
h4,
h5,
h6,
.comment-form label,
dt,
th,
.comment-navigation,
.comment-author,
.sticky-post,
.site-title {
font-family: <?php if ( get_theme_mod('quidus_header_font_custom_enable') == 1) : if ( get_theme_mod('quidus_header_font_family_custom') == '' ) : echo esc_attr($primary_header_font) . '!important;'; else : echo esc_html($quidus_header_font_family_custom) . '!important;'; endif; else : echo esc_html($font_choices[$header_font]); ?>, sans-serif !important;<?php endif; ?>
}

body,
button,
input,
select,
textarea {
font-family: <?php if ( get_theme_mod('quidus_body_font_custom_enable') == 1) : if ( get_theme_mod('quidus_body_font_family_custom') == '' ) : echo esc_attr($primary_body_font) . '!important;'; else : echo esc_html($quidus_body_font_family_custom) . '!important;'; endif; else : echo esc_html($font_choices[$body_font]); ?>, sans-serif !important; <?php endif; ?>
}

<?php if ( is_active_sidebar( 'right-sidebar' ) and (is_active_sidebar( 'sidebar-1' ) or get_theme_mod( 'quidus_enable_horizontal_menu' ) == false )) : ?>

@media screen and (min-width: 1105px) {

.site-content {
	width: <?php if ( get_theme_mod('quidus_content_width_desktop') == '' ) : echo "56"; else : echo esc_attr($quidus_content_width_desktop); endif; ?>% !important;
}

.sidebar {
	width: <?php if ( get_theme_mod('quidus_sidebar_width_desktop') == '' ) : echo "22"; else : echo esc_attr($quidus_sidebar_width_desktop); endif; ?>%;
}

.right-sidebar-wrapper {
	width: <?php if ( get_theme_mod('quidus_right_sidebar_width') == '' ) : echo "22"; else : echo esc_attr($quidus_right_sidebar_width); endif; ?>%;
}

<?php 

$total_width = $quidus_content_width_desktop + $quidus_sidebar_width_desktop + $quidus_right_sidebar_width;


if ($total_width > 100) : ?>

.site-content {
	width: 56% !important;
}

.sidebar {
	width: 22%;
}

.right-sidebar-wrapper {
	width: 22%;
}

<?php endif; ?>

}

@media screen and (min-width: 955px) and (max-width: 1105px) {

.right-sidebar-wrapper {
   width: 70% !important;
   padding: 1.5em 1.5em 0 !important;
   float:right;
}

.single-product .right-sidebar-wrapper {
   padding: 1.5em 1.5em 0 !important;
}

.right-sidebar-wrap {
    padding-top: 3em;
    margin-top: 0;
}

.site-content {
	width: 70% !important;
}

.sidebar {
	width: 30% !important;
}

.site {
    padding-right: 0;
}

}

<?php elseif (is_active_sidebar( 'sidebar-1' ) or get_theme_mod( 'quidus_enable_horizontal_menu' ) == false )  : ?>

@media screen and (min-width: 1105px) {

.site-content {
	width: <?php if ( get_theme_mod('quidus_content_width_desktop') == '' ) : echo "75"; else : echo esc_attr($quidus_content_width_desktop); endif; ?>% !important;
}

.sidebar {
	width: <?php if ( get_theme_mod('quidus_sidebar_width_desktop') == '' ) : echo "25"; else : echo esc_attr($quidus_sidebar_width_desktop); endif; ?>% !important;
}

}

@media screen and (min-width: 955px) and (max-width: 1105px) {

.sidebar {
	
	width: <?php if ( get_theme_mod('quidus_sidebar_width_desktop') == '' ) : echo "30"; else : echo esc_attr($quidus_sidebar_width_desktop) + 5; endif; ?>% !important;
}

.site-content {
	
	width: <?php if ( get_theme_mod('quidus_content_width_desktop') == '' ) : echo "70"; else : echo esc_attr($quidus_content_width_desktop) - 5; endif; ?>% !important;
}

}

<?php elseif (is_active_sidebar( 'right-sidebar' ))  : ?>

@media screen and (min-width: 1105px) {

.site-content {
	width: <?php if ( get_theme_mod('quidus_content_width_desktop') == '' ) : echo "75"; else : echo esc_attr($quidus_content_width_desktop); endif; ?>% !important;
}

.right-sidebar-wrapper {
	width: <?php if ( get_theme_mod('quidus_sidebar_width_desktop') == '' ) : echo "25"; else : echo esc_attr($quidus_right_sidebar_width); endif; ?>% !important;
}

}

@media screen and (min-width: 955px) and (max-width: 1105px) {

.right-sidebar-wrapper {
	
	width: <?php if ( get_theme_mod('quidus_sidebar_width_desktop') == '' ) : echo "30"; else : echo esc_attr($quidus_right_sidebar_width) + 5; endif; ?>% !important;
}

.site-content {
	
	width: <?php if ( get_theme_mod('quidus_content_width_desktop') == '' ) : echo "70"; else : echo esc_attr($quidus_content_width_desktop) - 5; endif; ?>% !important;
}

}

<?php else : ?>

@media screen and (min-width: 955px) {

.site-content {
	width: <?php if ( get_theme_mod('quidus_content_width_desktop') == '' ) : echo "100"; else : echo esc_attr($quidus_content_width_desktop); endif; ?>% !important;
	float:none;
	margin: <?php if ( get_theme_mod('quidus_switch_to_centered_layout') == true ) : echo "0 auto"; endif; ?> !important;
}

}

<?php endif; ?>

<?php if ( get_theme_mod('quidus_featured_image_single_disable') == 1 ) : ?>

.single-post .post-thumbnail img {
display:none;
}
.single-post .hentry.has-post-thumbnail .entry-header {
    padding: 3em 1.5em 1em !important;
}


@media screen and (min-width: 480px) and (max-width: 768px) {
  .single-post .hentry.has-post-thumbnail .entry-header {
    padding:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em 1.5em 1em"; else : echo "3em 1.5em 1em"; endif; ?> !important;
}
	
}

@media screen and (max-width: 480px) {
  .single-post .hentry.has-post-thumbnail .entry-header {
	padding:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em 1em 1em"; endif; ?> !important;
}
}
<?php endif; ?>

.site { max-width: <?php if ( get_theme_mod('quidus_website_max_width') != '' ) : echo esc_attr($quidus_website_max_width); ?>px <?php endif; ?>; }

.format-aside .entry-title,
.format-image .entry-title,
.format-video .entry-title,
.format-quote .entry-title, 
.format-gallery .entry-title,
.format-link .entry-title,
.format-audio .entry-title,
.page-title,
.woocommerce div.product .product_title,
.entry-title,
.entry-content h1,
.entry-summary h1,
.page-content h1,
.comment-content h1 {
font-size: <?php if ( get_theme_mod('quidus_h1_size') == '' ) : echo "3.9"; else : echo esc_attr((string)(intval($quidus_h1_size) * 0.039)); endif; ?>rem;
}

.site-title {
font-size: <?php if ( get_theme_mod('quidus_site_title_size') == '' ) : echo "3.9"; else : echo esc_attr((string)(intval($quidus_site_title_size) * 0.039)); endif; ?>rem;
}

.site-description {
font-size: <?php if ( get_theme_mod('quidus_site_description_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_site_description_size) * 0.016)); endif; ?>rem;
}

.site-info {
font-size: <?php if ( get_theme_mod('quidus_footer_font_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_footer_font_size) * 0.016)); endif; ?>rem;
}

.entry-content h2,
.entry-summary h2,
.page-content h2,
.comment-content h2,
.upsells.products h2,
.related.products h2,
.woocommerce #reviews #comments h2 {
font-size: <?php if ( get_theme_mod('quidus_h2_size') == '' ) : echo "3.2"; else : echo esc_attr((string)(intval($quidus_h2_size) * 0.032)); endif; ?>rem;
}

.widget-title {
font-size: <?php if ( get_theme_mod('quidus_widget_title_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_widget_title_size) * 0.016)); endif; ?>rem;
}

.entry-content h3,
.entry-summary h3,
.page-content h3,
.comment-content h3,
.woocommerce ul.products li.product h3 {
font-size: <?php if ( get_theme_mod('quidus_h3_size') == '' ) : echo "2.7"; else : echo esc_attr((string)(intval($quidus_h3_size) * 0.027)); endif; ?>rem;
}

.entry-content h4,
.entry-summary h4,
.page-content h4,
.comment-content h4,
.woocommerce ul.products li.product h3 {
font-size: <?php if ( get_theme_mod('quidus_h4_size') == '' ) : echo "2.2"; else : echo esc_attr((string)(intval($quidus_h4_size) * 0.022)); endif; ?>rem;
}

.entry-content h5,
.entry-summary h5,
.page-content h5,
.comment-content h5 {
font-size: <?php if ( get_theme_mod('quidus_h5_size') == '' ) : echo "1.9"; else : echo esc_attr((string)(intval($quidus_h5_size) * 0.019)); endif; ?>rem;
}

.entry-content h6,
.entry-summary h6,
.page-content h6,
.comment-content h6 {
font-size: <?php if ( get_theme_mod('quidus_h6_size') == '' ) : echo "1.7"; else : echo esc_attr((string)(intval($quidus_h6_size) * 0.017)); endif; ?>rem;
}

.entry-content p,
.product .entry-summary p {
font-size: <?php if ( get_theme_mod('quidus_content_paragraph_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_content_paragraph_size) * 0.016)); endif; ?>rem;
}

.posted-on,
.byline,
.cat-links,
.tags-links, 
.comments-link, 
.entry-format, 
.full-size-link,
.edit-link,
.posted-on:before, 
.byline:before, 
.cat-links:before, 
.tags-links:before, 
.comments-link:before, 
.entry-format:before, 
.edit-link:before, 
.full-size-link:before {
font-size: <?php if ( get_theme_mod('quidus_content_meta_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_content_meta_size) * 0.016)); endif; ?>rem;
}


ul,
ol,
.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product,
.woocommerce .order_details li,
.woocommerce .order_details li strong {
font-size: <?php if ( get_theme_mod('quidus_list_font_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_list_font_size) * 0.016)); endif; ?>rem;
}

table, th, td {
font-size: <?php if ( get_theme_mod('quidus_table_font_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_table_font_size) * 0.016)); endif; ?>rem;
}

dd, dt {
font-size: <?php if ( get_theme_mod('quidus_definition_font_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_definition_font_size) * 0.016)); endif; ?>rem;
}

address {
font-size: <?php if ( get_theme_mod('quidus_address_font_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_address_font_size) * 0.016)); endif; ?>rem;
}

pre {
font-size: <?php if ( get_theme_mod('quidus_pre_font_size') == '' ) : echo "1.6"; else : echo esc_attr((string)(intval($quidus_pre_font_size) * 0.016)); endif; ?>rem;
}

@media screen and (min-width: 480px) and (max-width: 768px) {

.format-aside .entry-title,
.format-image .entry-title,
.format-video .entry-title,
.format-quote .entry-title, 
.format-gallery .entry-title,
.format-link .entry-title,
.format-audio .entry-title,
.page-title,
.woocommerce div.product .product_title,
.entry-title,
.entry-content h1,
.entry-summary h1,
.page-content h1,
.comment-content h1 {
font-size: <?php if ( get_theme_mod('quidus_h1_size') == '' ) : echo "3.2"; else : echo esc_attr((string)(intval($quidus_h1_size) * 0.032)); endif; ?>rem;
}

.entry-content h2,
.entry-summary h2,
.page-content h2,
.comment-content h2,
.upsells.products h2,
.related.products h2,
.woocommerce #reviews #comments h2 {
font-size: <?php if ( get_theme_mod('quidus_h2_size') == '' ) : echo "2.7"; else : echo esc_attr((string)(intval($quidus_h2_size) * 0.027)); endif; ?>rem;
}

.entry-content h3,
.entry-summary h3,
.page-content h3,
.comment-content h3,
.woocommerce ul.products li.product h3 {
font-size: <?php if ( get_theme_mod('quidus_h3_size') == '' ) : echo "2.2"; else : echo esc_attr((string)(intval($quidus_h3_size) * 0.022)); endif; ?>rem;
}

.entry-content h4,
.entry-summary h4,
.page-content h4,
.comment-content h4,
.woocommerce ul.products li.product h3 {
font-size: <?php if ( get_theme_mod('quidus_h4_size') == '' ) : echo "1.9"; else : echo esc_attr((string)(intval($quidus_h4_size) * 0.019)); endif; ?>rem;
}

.entry-content h5,
.entry-summary h5,
.page-content h5,
.comment-content h5 {
font-size: <?php if ( get_theme_mod('quidus_h5_size') == '' ) : echo "1.7"; else : echo esc_attr((string)(intval($quidus_h5_size) * 0.017)); endif; ?>rem;
}

.entry-content h6,
.entry-summary h6,
.page-content h6,
.comment-content h6 {
font-size: <?php if ( get_theme_mod('quidus_h6_size') == '' ) : echo "1.5"; else : echo esc_attr((string)(intval($quidus_h6_size) * 0.015)); endif; ?>rem;
}

}

@media screen and (max-width: 480px) {

.format-aside .entry-title,
.format-image .entry-title,
.format-video .entry-title,
.format-quote .entry-title, 
.format-gallery .entry-title,
.format-link .entry-title,
.format-audio .entry-title,
.page-title,
.woocommerce div.product .product_title,
.entry-title,
.entry-content h1,
.entry-summary h1,
.page-content h1,
.comment-content h1 {
font-size: <?php if ( get_theme_mod('quidus_h1_size') == '' ) : echo "2.7"; else : echo esc_attr((string)(intval($quidus_h1_size) * 0.027)); endif; ?>rem;
}

.site-title {
font-size: <?php if ( get_theme_mod('quidus_site_title_size') == '' ) : echo "2.7"; else : echo esc_attr((string)(intval($quidus_site_title_size) * 0.027)); endif; ?>rem;
}

.site-description {
font-size: <?php if ( get_theme_mod('quidus_site_description_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_site_description_size) * 0.014)); endif; ?>rem;
}

.site-info {
font-size: <?php if ( get_theme_mod('quidus_footer_font_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_footer_font_size) * 0.014)); endif; ?>rem;
}

.entry-content h2,
.entry-summary h2,
.page-content h2,
.comment-content h2,
.upsells.products h2,
.related.products h2,
.woocommerce #reviews #comments h2 {
font-size: <?php if ( get_theme_mod('quidus_h2_size') == '' ) : echo "2.2"; else : echo esc_attr((string)(intval($quidus_h2_size) * 0.022)); endif; ?>rem;
}

.widget-title {
font-size: <?php if ( get_theme_mod('quidus_widget_title_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_widget_title_size) * 0.014)); endif; ?>rem;
}

.entry-content h3,
.entry-summary h3,
.page-content h3,
.comment-content h3,
.woocommerce ul.products li.product h3 {
font-size: <?php if ( get_theme_mod('quidus_h3_size') == '' ) : echo "2.7"; else : echo esc_attr((string)(intval($quidus_h3_size) * 0.027)); endif; ?>rem;
}

.entry-content h4,
.entry-summary h4,
.page-content h4,
.comment-content h4,
.woocommerce ul.products li.product h3 {
font-size: <?php if ( get_theme_mod('quidus_h4_size') == '' ) : echo "1.9"; else : echo esc_attr((string)(intval($quidus_h4_size) * 0.019)); endif; ?>rem;
}

.entry-content h5,
.entry-summary h5,
.page-content h5,
.comment-content h5 {
font-size: <?php if ( get_theme_mod('quidus_h5_size') == '' ) : echo "1.7"; else : echo esc_attr((string)(intval($quidus_h5_size) * 0.017)); endif; ?>rem;
}

.entry-content h6,
.entry-summary h6,
.page-content h6,
.comment-content h6 {
font-size: <?php if ( get_theme_mod('quidus_h6_size') == '' ) : echo "1.5"; else : echo esc_attr((string)(intval($quidus_h6_size) * 0.015)); endif; ?>rem;
}

.entry-content p,
.product .entry-summary p {
font-size: <?php if ( get_theme_mod('quidus_content_paragraph_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_content_paragraph_size) * 0.014)); endif; ?>rem;
}

.posted-on,
.byline,
.cat-links,
.tags-links, 
.comments-link, 
.entry-format, 
.full-size-link,
.edit-link,
.posted-on:before, 
.byline:before, 
.cat-links:before, 
.tags-links:before, 
.comments-link:before, 
.entry-format:before, 
.edit-link:before, 
.full-size-link:before {
font-size: <?php if ( get_theme_mod('quidus_content_meta_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_content_meta_size) * 0.014)); endif; ?>rem;
}


ul,
ol,
.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product,
.woocommerce .order_details li,
.woocommerce .order_details li strong {
font-size: <?php if ( get_theme_mod('quidus_list_font_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_list_font_size) * 0.014)); endif; ?>rem;
}

table, th, td {
font-size: <?php if ( get_theme_mod('quidus_table_font_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_table_font_size) * 0.014)); endif; ?>rem;
}

dd, dt {
font-size: <?php if ( get_theme_mod('quidus_definition_font_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_definition_font_size) * 0.014)); endif; ?>rem;
}

address {
font-size: <?php if ( get_theme_mod('quidus_address_font_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_address_font_size) * 0.014)); endif; ?>rem;
}

pre {
font-size: <?php if ( get_theme_mod('quidus_pre_font_size') == '' ) : echo "1.4"; else : echo esc_attr((string)(intval($quidus_pre_font_size) * 0.014)); endif; ?>rem;
}


}

<?php if ( get_theme_mod('quidus_footer_widgets_count') == 'threecolumn' and (( is_active_sidebar( 'footer-widget-1' ) ) or ( is_active_sidebar( 'footer-widget-2' ) ) or ( is_active_sidebar( 'footer-widget-3' ) ))) : ?>

.blog .site-content .footer-widgets-wrapper,
.single-post .site-content .footer-widgets-wrapper,
.page-template-default .site-content .footer-widgets-wrapper,
.category .site-content .footer-widgets-wrapper,
.archive .site-content .footer-widgets-wrapper,
.search .site-content .footer-widgets-wrapper,
.error404 .site-content .footer-widgets-wrapper {
margin:1.5em 1.5em 0 !important;
}

.footer-widgets-wrapper {
margin:1.5em 0 0 !important;
}

.woocommerce-page .footer-widgets-wrapper {
margin:1.5em 1.5em 0 !important;
}

.woocommerce .site-content .footer-widgets-wrapper  {
margin:1.5em 0 0 !important;
}

.woocommerce-wishlist .site-content .footer-widgets-wrapper {
margin:1.5em 1.5em 0 !important;
}

.footer-widgets-wrapper .widget-area {
padding:0 !important;
margin:0 !important;
}

.footer-widget-one {
padding:3em 0;
width:33.3333%;
float:left;

}

.footer-widget-two {
padding:3em 0;
width:33.3333%;
float:right;
  
}

.footer-widget-three {
padding:3em 0;
width:33.3333%;
float:right;
}

.footer-widgets-wrapper .widget {
    -moz-hyphens: auto;
    padding: 0 0 0 1.5em !important;
    width: 100%;
    word-wrap: break-word;
    margin: 0px;
}

.footer-widgets-wrapper .footer-widget-two .widget {
    padding: 0px 1.5em 0 !important;
}

@media screen and (min-width: 768px) and (max-width: 955px) {

	.blog .site-content .footer-widgets-wrapper,
	.single-post .site-content .footer-widgets-wrapper,
	.page-template-default .site-content .footer-widgets-wrapper,
	.category .site-content .footer-widgets-wrapper,
	.archive .site-content .footer-widgets-wrapper,
	.search .site-content .footer-widgets-wrapper,
	.error404 .site-content .footer-widgets-wrapper {
	margin:<?php if ( is_active_sidebar( 'right-sidebar' )) : echo "1.5em 1.5em 0 !important;"; else : echo "1.5em !important;"; endif; ?>
	}
	
	.footer-widgets-wrapper .footer-widget-two .widget {
		padding: 0 0 0 !important;
	}

	.footer-social-wrap {
	text-align:center;
	padding-bottom:0em;
	}
	
	.footer-widgets-wrapper {
		margin:1.5em 0 0 !important;
		padding-bottom:3em;
	}

	.footer-widgets-wrapper .widget-area {
		padding:0 !important;
		margin:0 !important;
	}

	.footer-widget-one {
		padding:3em 0;
		width:100%;
	}

	.footer-widget-two {
		padding:0 0 3em;
		width:100%;
	}

	.footer-widget-three {
		padding:0;
		width:100%;
	}

	.footer-widgets-wrapper .widget {
		-moz-hyphens: auto;
		padding: 0 !important;
		width: 40%;
		word-wrap: break-word;
		margin:0 auto;
	}

	.footer-widgets-wrapper .footer-widget-two .widget {
		padding: 0 !important;
	}
	
	.woocommerce .site-content .footer-widgets-wrapper  {
	margin:1.5em 0 0 !important;
	}
	
	.woocommerce.woocommerce-wishlist .site-content .footer-widgets-wrapper  {
	margin:1.5em 1.5em 0 !important;
	}

}

@media screen and (min-width: 480px) and (max-width: 768px) {

	.blog .site-content .footer-widgets-wrapper,
	.single-post .site-content .footer-widgets-wrapper,
	.page-template-default .site-content .footer-widgets-wrapper,
	.category .site-content .footer-widgets-wrapper,
	.archive .site-content .footer-widgets-wrapper,
	.search .site-content .footer-widgets-wrapper,
	.error404 .site-content .footer-widgets-wrapper {
	margin:<?php if ( is_active_sidebar( 'right-sidebar' )) : echo "1.5em 1.5em 0 !important;"; else : echo "1.5em !important;"; endif; ?>
	}

	.footer-social-wrap {
	text-align:center;
	padding-bottom:0em;
	}
	
	.footer-widgets-wrapper {
	margin:0 1.5em 3em;
	}
	
	.footer-widgets-wrapper .widget-area {
	margin: 0 auto 3em;
	}

	.footer-widget-one .widget,
	.footer-widget-two .widget,
	.footer-widget-three .widget {
		-webkit-hyphens: auto;
		-moz-hyphens: auto;
		-ms-hyphens: auto;
		hyphens: auto;
		margin: 0 auto;
		width: 60%;
		padding:0 !important;
		word-wrap: break-word;
	}
	
	.footer-widget-one {
		padding:2em 0;
		width:100%;
	}

	.footer-widget-two {
		padding:0 0 2em;
		width:100%;
	}

	.footer-widget-three {
		padding:0;
		width:100%;
	}
	
	.footer-widgets-wrapper .footer-widget-three .widget {
		padding: 0 0 2em !important;
	}
	
	.footer-widgets-wrapper .footer-widget-two .widget {
		padding: 0 !important;
	}
	
	.woocommerce .site-content .footer-widgets-wrapper  {
	margin:1.5em 0 0 !important;
	}
	
	.woocommerce.woocommerce-wishlist .site-content .footer-widgets-wrapper  {
	margin:1.5em 1.5em 0 !important;
	}
	
}

@media screen and (max-width: 480px) {

	.footer-social-wrap {
	text-align:center;
	padding-bottom:0.25em;
	}
	
	.footer-widgets-wrapper {
	margin:2em 0 !important;
	}
	
	.footer-widgets-wrapper .widget-area {
	margin: 0 auto 2em;
	}

	.footer-widget-one .widget,
	.footer-widget-two .widget,
	.footer-widget-three .widget {
		-webkit-hyphens: auto;
		-moz-hyphens: auto;
		-ms-hyphens: auto;
		hyphens: auto;
		margin: 0 auto 2em;
		width: 100%;
		padding:0 1em !important;
		word-wrap: break-word;
	}
	
	.footer-widget-one, .footer-widget-two, .footer-widget-three {
	width:100%;
	}

	.blog .site-content .footer-widgets-wrapper,
	.single-post .site-content .footer-widgets-wrapper,
	.page-template-default .site-content .footer-widgets-wrapper,
	.category .site-content .footer-widgets-wrapper,
	.archive .site-content .footer-widgets-wrapper,
	.search .site-content .footer-widgets-wrapper,
	.error404 .site-content .footer-widgets-wrapper{
	margin:<?php if ( is_active_sidebar( 'right-sidebar' )) : echo "1em 1em 0 !important;"; else : echo "1em !important;"; endif; ?>
	}

	.footer-widgets-wrapper {
	margin:1em 0 0 !important;
	}

	.woocommerce-page .footer-widgets-wrapper {
	margin:1em 1em 0 !important;
	}

	.woocommerce .site-content .footer-widgets-wrapper  {
	margin:1em 0 0 !important;
	}

	.footer-widgets-wrapper .widget-area {
	padding:0 !important;
	margin:0 !important;
	}

	.footer-widget-one {
		padding:2em 0;
		width:100%;
	}

	.footer-widget-two {
		padding:0 0 2em;
		width:100%;
	}

	.footer-widget-three {
		padding:0;
		width:100%;
	}

	.footer-widgets-wrapper .widget {
		-moz-hyphens: auto;
		padding: 0 1em !important;
		width: 100%;
		word-wrap: break-word;
		margin: 0px;
	}

	.footer-widgets-wrapper .footer-widget-two .widget {
		padding: 0px 1em 0 !important;
	}
	
	.woocommerce-wishlist .site-content .footer-widgets-wrapper {
	margin:1em 1em 0 !important;
	}
	
	.footer-widgets-wrapper .footer-widget-three .widget {
		padding: 0 1em 2em !important;
	}
	
}
<?php endif; ?>

<?php if ( get_theme_mod('quidus_footer_widgets_count') == 'twocolumn' and (( is_active_sidebar( 'footer-widget-1' ) ) or ( is_active_sidebar( 'footer-widget-2' ) ) or ( is_active_sidebar( 'footer-widget-3' ) ))) : ?>

.blog .site-content .footer-widgets-wrapper,
.single-post .site-content .footer-widgets-wrapper,
.page-template-default .site-content .footer-widgets-wrapper,
.category .site-content .footer-widgets-wrapper,
.archive .site-content .footer-widgets-wrapper,
.search .site-content .footer-widgets-wrapper,
.error404 .site-content .footer-widgets-wrapper {
margin:1.5em 1.5em 0 !important;
}

.footer-widgets-wrapper {
margin:1.5em 0 0 !important;
}

.woocommerce-page .footer-widgets-wrapper {
margin:1.5em 1.5em 0 !important;
}

.woocommerce .site-content .footer-widgets-wrapper  {
margin:1.5em 0 0 !important;
}

.woocommerce-wishlist .site-content .footer-widgets-wrapper {
margin:1.5em 1.5em 0 !important;
}

.footer-widgets-wrapper .widget-area {
padding:0 !important;
margin:0 !important;
}

.footer-widget-one {
padding:3em 0;
width:50%;
float:left;
}

.footer-widget-two {
padding:3em 0;
width:50%;
float:right;
}

.footer-widget-three {
padding:0 1.5em 3em 0;
width:50%;
float:left;
}

.footer-widgets-wrapper .widget {
    -moz-hyphens: auto;
    padding: 0 0 0 1.5em !important;
    width: 100%;
    word-wrap: break-word;
    margin: 0px;
}

.footer-widgets-wrapper .footer-widget-two .widget {
    padding: 0px 1.5em 0 !important;
}

@media screen and (min-width: 768px) and (max-width: 955px) {

	.blog .site-content .footer-widgets-wrapper,
	.single-post .site-content .footer-widgets-wrapper,
	.page-template-default .site-content .footer-widgets-wrapper,
	.category .site-content .footer-widgets-wrapper,
	.archive .site-content .footer-widgets-wrapper,
	.search .site-content .footer-widgets-wrapper,
	.error404 .site-content .footer-widgets-wrapper {
	margin:<?php if ( is_active_sidebar( 'right-sidebar' )) : echo "1.5em 1.5em 0 !important;"; else : echo "1.5em !important;"; endif; ?>
	}

	.footer-social-wrap {
	text-align:center;
	padding-bottom:0em;
	}
	
	.footer-widgets-wrapper {
		margin:1.5em 0 0 !important;
	}

	.footer-widgets-wrapper .widget-area {
		padding:0 !important;
		margin:0 !important;
	}

	.footer-widget-one {
		padding:3em 0;
		width:100%;
	}

	.footer-widget-two {
		padding:0 0 3em;
		width:100%;
	}

	.footer-widget-three {
		padding:0 0 3em;
		width:100%;
	}

	.footer-widgets-wrapper .widget {
		-moz-hyphens: auto;
		padding: 0 !important;
		width: 40%;
		word-wrap: break-word;
		margin:0 auto;
	}

	.footer-widgets-wrapper .footer-widget-two .widget {
		padding: 0 !important;
	}
	
	.woocommerce .site-content .footer-widgets-wrapper  {
	margin:1.5em 0 0 !important;
	}
	
	.woocommerce.woocommerce-wishlist .site-content .footer-widgets-wrapper  {
	margin:1.5em 1.5em 0 !important;
	}

}

@media screen and (min-width: 480px) and (max-width: 768px) {

	.blog .site-content .footer-widgets-wrapper,
	.single-post .site-content .footer-widgets-wrapper,
	.page-template-default .site-content .footer-widgets-wrapper,
	.category .site-content .footer-widgets-wrapper,
	.archive .site-content .footer-widgets-wrapper,
	.search .site-content .footer-widgets-wrapper,
	.error404 .site-content .footer-widgets-wrapper {
	margin:<?php if ( is_active_sidebar( 'right-sidebar' )) : echo "1.5em 1.5em 0 !important;"; else : echo "1.5em !important;"; endif; ?>
	}

	.footer-social-wrap {
	text-align:center;
	padding-bottom:0em;
	}
	
	.footer-widgets-wrapper {
	margin:0 1.5em 3em;
	}
	
	.footer-widgets-wrapper .widget-area {
	margin: 0 auto 3em;
	}

	.footer-widget-one .widget,
	.footer-widget-two .widget,
	.footer-widget-three .widget {
		-webkit-hyphens: auto;
		-moz-hyphens: auto;
		-ms-hyphens: auto;
		hyphens: auto;
		margin: 0 auto;
		width: 60%;
		padding:0 !important;
		word-wrap: break-word;
	}
	
	.footer-widget-one {
		padding:2em 0;
		width:100%;
	}

	.footer-widget-two {
		padding:0 0 2em;
		width:100%;
	}

	.footer-widget-three {
		padding:0 0 2em;
		width:100%;
	}
	
	.footer-widgets-wrapper .footer-widget-two .widget {
		padding: 0 !important;
	}
	
	.woocommerce .site-content .footer-widgets-wrapper  {
	margin:1.5em 0 0 !important;
	}
	
	.woocommerce.woocommerce-wishlist .site-content .footer-widgets-wrapper  {
	margin:1.5em 1.5em 0 !important;
	}
	
}

@media screen and (max-width: 480px) {

	.footer-social-wrap {
	text-align:center;
	padding-bottom:0.25em;
	}
	
	.footer-widgets-wrapper {
	margin:2em 0 !important;
	}
	
	.footer-widgets-wrapper .widget-area {
	margin: 0 auto 2em;
	}

	.footer-widget-one .widget,
	.footer-widget-two .widget,
	.footer-widget-three .widget {
		-webkit-hyphens: auto;
		-moz-hyphens: auto;
		-ms-hyphens: auto;
		hyphens: auto;
		margin: 0 auto 2em;
		width: 100%;
		padding:0 1em !important;
		word-wrap: break-word;
	}
	
	.footer-widget-one, .footer-widget-two, .footer-widget-three {
	width:100%;
	}

	.blog .site-content .footer-widgets-wrapper,
	.single-post .site-content .footer-widgets-wrapper,
	.page-template-default .site-content .footer-widgets-wrapper,
	.category .site-content .footer-widgets-wrapper,
	.archive .site-content .footer-widgets-wrapper,
	.search .site-content .footer-widgets-wrapper,
	.error404 .site-content .footer-widgets-wrapper	{
	margin:<?php if ( is_active_sidebar( 'right-sidebar' )) : echo "1em 1em 0 !important;"; else : echo "1em !important;"; endif; ?>
	}

	.footer-widgets-wrapper {
	margin:1em 0 0 !important;
	}

	.woocommerce-page .footer-widgets-wrapper {
	margin:1em 1em 0 !important;
	}

	.woocommerce .site-content .footer-widgets-wrapper  {
	margin:1em 0 0 !important;
	}

	.footer-widgets-wrapper .widget-area {
	padding:0 !important;
	margin:0 !important;
	}

	.footer-widget-one {
		padding:2em 0;
		width:100%;
	}

	.footer-widget-two {
		padding:0 0 2em;
		width:100%;
	}

	.footer-widget-three {
		padding:0 0 2em;
		width:100%;
	}

	.footer-widgets-wrapper .widget {
		-moz-hyphens: auto;
		padding: 0 1em !important;
		width: 100%;
		word-wrap: break-word;
		margin: 0px;
	}

	.footer-widgets-wrapper .footer-widget-two .widget {
		padding: 0px 1em 0 !important;
	}
	
	.woocommerce-wishlist .site-content .footer-widgets-wrapper {
	margin:1em 1em 0 !important;
	}
	
}
<?php endif; ?>

.footer-widgets-wrapper {
margin-top:0;
}

<?php if ( is_active_sidebar( 'right-sidebar' )) : ?>

@media screen and (min-width: 768px) and (max-width: 955px) {

	.right-sidebar-wrapper {
		width: 100%;
		border:none;
		padding:0 1.5em 1.5em;
	}

		.right-sidebar-wrap {
			padding:3em 0 3em;
			margin-top: 0;
		}
	
	<?php if ( is_active_sidebar( 'footer-widget-1' ) or is_active_sidebar( 'footer-widget-2' ) or is_active_sidebar( 'footer-widget-3' ) ) : ?>

			.right-sidebar-wrap {
	padding:3em 0 3em;
	margin-top: 1.5em;
	}
	<?php endif; ?>

	.right-sidebar-wrap .widget:last-child {
	margin-bottom: 0;
	}

}

@media screen and (min-width: 480px) and (max-width: 768px) {

	.right-sidebar-wrapper {
		width: 100%;
		border:none;
		padding:0 1.5em 1.5em;
	}

	.right-sidebar-wrap {
	padding:2em 0;
	margin-top: 0;
	}

	.right-sidebar-wrap .widget:last-child {
	margin-bottom: 0;
	}
	
	<?php if ( is_active_sidebar( 'footer-widget-1' ) or is_active_sidebar( 'footer-widget-2' ) or is_active_sidebar( 'footer-widget-3' ) ) : ?>
	.right-sidebar-wrap {
	padding:2em 0;
	margin-top: 1.5em;
	}
	<?php endif; ?>

}

@media screen and (max-width: 480px) {

	.right-sidebar-wrapper {
		width: 100%;
		border:none;
	}
	
	.right-sidebar-wrap .widget:last-child {
	margin-bottom: 0;
	}
	
	.right-sidebar-wrap {
		top: 0px;
		left: 0px;
		right: 0px;
		bottom: 0px;
		padding: 2em 0;
		margin:0 1em 1em;
		box-sizing: border-box;
	}
	
	<?php if ( is_active_sidebar( 'footer-widget-1' ) or is_active_sidebar( 'footer-widget-2' ) or is_active_sidebar( 'footer-widget-3' ) ) : ?>
		
	.right-sidebar-wrap {
		top: 0px;
		left: 0px;
		right: 0px;
		bottom: 0px;
		padding: 2em 0;
		margin:1em 1em;
		box-sizing: border-box;
	}
	<?php endif; ?>

}

<?php endif; ?>

@media screen and (min-width: 480px) and (max-width: 768px) {

.hentry.type-post {
	padding:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em 2em 2em"; endif; ?> !important;
}

.hentry.has-post-thumbnail {
	padding: 0 !important;
}

.has-post-thumbnail.type-post .post-thumbnail img {
	padding-bottom:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em"; endif; ?> !important;
}
	
}

@media screen and (max-width: 480px) {

.hentry.type-post {
	padding:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em 1em 1em"; endif; ?> !important;
}

.hentry.has-post-thumbnail {
	padding: 0 !important;
}

.has-post-thumbnail.type-post .post-thumbnail img{
	padding-bottom:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "2em"; endif; ?> !important;
}
	
}

<?php if (get_theme_mod('quidus_disable_entry_meta_single') == 1) : ?>
.entry-footer.single {
display:none;
}
<?php endif; ?>

<?php if (get_theme_mod('quidus_disable_featured_image_home') == 1) : ?>
.home .post-thumbnail {
display:none;
}
.home .hentry.has-post-thumbnail {
padding-top:3em;
}
@media screen and (min-width: 768px) and (max-width: 955px) {
.home .hentry.has-post-thumbnail {
padding-top:3em;
}
}
@media screen and (min-width: 480px) and (max-width: 768px) {
.home .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em"; endif; ?> !important;
}
}
@media screen and (max-width: 480px) {
.home .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em"; endif; ?> !important;
}
}
<?php endif; ?>

<?php if (get_theme_mod('quidus_disable_featured_image_search') == 1) : ?>
.search .post-thumbnail {
display:none;
}
.search .hentry.has-post-thumbnail {
padding-top:3em;
}
@media screen and (min-width: 768px) and (max-width: 955px) {
.search .hentry.has-post-thumbnail {
padding-top:3em;
}
}
@media screen and (min-width: 480px) and (max-width: 768px) {
.search .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em"; endif; ?> !important;
}
}
@media screen and (max-width: 480px) {
.search .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em"; endif; ?> !important;
}
}
<?php endif; ?>

<?php if (get_theme_mod('quidus_disable_featured_image_archive') == 1) : ?>
.archive .post-thumbnail {
display:none;
}
.archive .hentry.has-post-thumbnail {
padding-top:3em;
}
@media screen and (min-width: 768px) and (max-width: 955px) {
.archive .hentry.has-post-thumbnail {
padding-top:3em;
}
}
@media screen and (min-width: 480px) and (max-width: 768px) {
.archive .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em"; endif; ?> !important;
}
}
@media screen and (max-width: 480px) {
.archive .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em"; endif; ?> !important;
}
}
<?php endif; ?>

.site-logo img { max-width: <?php if ( get_theme_mod('quidus_logo_max_width_desktop') == '' ) : echo esc_attr('100%'); else : echo esc_attr($quidus_logo_max_width_desktop); ?>% <?php endif; ?>; }


 @media screen and (min-width: 768px) and (max-width: 955px) {
.site-logo img { max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('40%'); else : echo esc_attr($quidus_logo_max_width_tablet_large); ?>% <?php endif; ?>; }
 }
 @media screen and (min-width: 480px) and (max-width: 768px) {
.site-logo img { max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_small') == '' ) : echo esc_attr('40%'); else : echo esc_attr($quidus_logo_max_width_tablet_small); ?>% <?php endif; ?>; }
 }
 @media screen and (max-width: 480px) {
.site-logo img { max-width: <?php if ( get_theme_mod('quidus_logo_max_width_mobile') == '' ) : echo esc_attr('40%'); else : echo esc_attr($quidus_logo_max_width_mobile); ?>% <?php endif; ?>; }
 }

.entry-header {
text-align: <?php if ( get_theme_mod('quidus_post_title_align_left') == true ) : echo "left"; else : echo "center"; endif; ?> !important;
}

.widget-title {
text-align: <?php if ( get_theme_mod('quidus_widget_title_align_left') == true ) : echo "left"; else : echo "center"; endif; ?> !important;
}

@media screen and (min-width: 955px) {

.site {
	margin: <?php if ( get_theme_mod('quidus_switch_to_centered_layout') == true ) : echo "0 auto"; else : echo "0 0 0 "; echo esc_attr($quidus_site_distance_from_left); echo "%"; endif; ?> !important;
}
}

.comment-reply-title {
text-align: <?php if ( get_theme_mod('quidus_comments_title_align_left') == true ) : echo "left"; else : echo "center"; endif; ?> !important;
}

.post-mark,
.video-mark {
display:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "none"; else : echo "inline"; endif; ?> !important;
}

.sidebar,
.woocommerce #content #container #content,
.hentry,
.right-sidebar-wrap,
.footer-widgets-wrapper,
.site-footer,
section.error-404,
.category .page-content,
.tag .page-content,
.date .page-content,
.search .page-content {
background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#ffffff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
}

 @media screen and (min-width: 1px) and (max-width: 955px) {

	.sidebar {
	background:transparent;
	box-shadow:none;
	}
	
	.secondary,
	.site-header	{
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
	}

}

 @media screen and (min-width: 768px) and (max-width: 955px) {
 
	.site-header {
		padding: 3em;
	}

	.secondary {
		margin:1.5em 1.5em 0 1.5em;
		padding-bottom:3em;
	}

}

 @media screen and (min-width: 480px) and (max-width: 768px) {
 
	.site-header {
		padding: 2em;
	}
 
	.secondary {
		margin:1.5em 1.5em 0 1.5em;
		padding-bottom:2em;
	}
 
 }
 
 @media screen and (max-width: 480px) {
 
	.secondary {
		margin:1em 1em 0 1em;
		padding-bottom:2em;
	}
 
 }
 
<?php if ( is_home() and get_theme_mod( 'quidus_header_image' ) ) : ?>
 
.text-box-background {
position:absolute;
height:100%;
width:100%;
top:0;
left:0;
background: <?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?>;
opacity: 0.<?php if ( get_theme_mod('quidus_enable_home_header_text_background_opacity') == '' ) : echo "15"; else : echo esc_attr(get_theme_mod('quidus_enable_home_header_text_background_opacity')); endif; ?>;
}

.home-header-text-wrapper {
width:38.19660108%;
position:absolute;
bottom:2em;
padding: 1em 2em 1em 2em;
color:#fff;
}

.home-header-text {
color:#fff;
}

<?php endif; ?>
 
<?php if ( get_theme_mod('quidus_enable_horizontal_menu') == true) : ?>

 @media screen and (min-width: 955px) {

.parallax-wrapper {
     width: 100%;
     height: 100%;
	 position: relative;
	 z-index:-1;
}

.sidebar {
	margin-top:6em;
	padding-top:3em;
}

.site-header {
	background-color: transparent;
	display: inline-block;
	top:0;
	height:3.5em;
}

.site-branding {
	display: inline-block;
	top:50%;
	position:absolute;
	transform:translateY(-50%);
	margin-top:-1px;
}

.site-title {
	font-size: <?php if ( get_theme_mod('quidus_site_title_size') == '' ) : echo "2.2"; else : echo esc_attr((string)(intval($quidus_site_title_size) * 0.022)); endif; ?>rem;
	font-weight:700;
	word-wrap: break-word;
	vertical-align:middle;
	display: inline-block;
	text-transform:uppercase;
	line-height:1;
	margin-bottom:0;
}

.site-description {
	font-weight: 400;
	line-height: 1.6;
	word-wrap: break-word;
	width:auto !important;
	display: inline-block;
	padding-left:0.75em;
	margin-bottom:0;
	vertical-align:middle;
}

.my-social-wrap {
display:inline-block;
height:100%;
border-left:1px solid rgba(255,255,255,0.25) !important;
margin-top:-1.25em;
transform: translateY(-8%);
}

.my-social {
vertical-align:middle;
height:100%;
}

.my-social span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
vertical-align:middle;
position: relative;
top: 25%;
transform: translateY(-25%);
}

.my-social-wrap a:first-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
padding-left:1.2em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
vertical-align:middle;
}

.my-social-wrap a:last-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
vertical-align:middle;
}

.menu-cart-wrapper {
z-index:1001;
padding:0 0.0625em 0 1.53em;
vertical-align:middle;
border-left:1px solid rgba(255,255,255,0.25) !important;
display:inline-block;
height:100%;
margin-top:1em;
}

.menu-cart-wrapper a {
  position: relative;
  top: 50%;
  transform: translateY(-62%);
}

.horizontal-menu-wrapper {
z-index:1001;
padding:0 1.5em 0 2em;
height:100%;
}

.menu-holder {
background:#fff;
box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.15);
height:3.5em;
}


.toggle-search {
display:inline-block;
padding: 0 0.85em 0 1.25em;
border-left:1px solid rgba(255,255,255,0.25);
font-size:1.9rem !important;
height:100%;
transform: translateY(-2%);
}

.toggle-search i {
  position: relative;
  top: 25%;
  transform: translateY(-12%);
}

.horizontal-menu-wrapper {
border-bottom:1px solid rgba(255,255,255,0.25);
}

.toggle-search, .search-expand, .search-expand-inner, .search-expand-inner .search-form, .search-expand-inner .search-form label, .menu-cart-wrapper {
display:inline-block;
width: auto;
}

.menu-cart-wrapper .cart-contents {
font-size:1.9rem;
}

.header-menu-cart-count {
position:absolute;
border-radius:100%;
-moz-border-radius:100%;
-webkit-border-radius:100%;
height:17px;
width:17px;
padding-left:6px;
line-height:1.5;
font-size:1.12rem !important;
left:1.1em;
top:-0.50em;
}

.search-expand-inner .search-form .search-field {
position:absolute;
width:175px;
top:65px;
margin-left:-120px;
background:#fff;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
opacity:0;
}

.search-expand-inner .search-form .search-field:hover  {
top:56px;
opacity:1;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.search-expand-inner .search-form .search-submit {
display:none;
}

.main-navigation ul,
.main-navigation li {
background:transparent;
}
 
.main-navigation {
display: inline-block !important;
z-index:1001;
padding-right:0.5em !important;
height:100%;
transform: translateY(-6%);
-moz-transform: translateY(-6%);
-webkit-transform: translateY(-10%);

}

.float-right {
float:right;
display: inline-block !important;
height:100%;
margin-top:-1em
}

.main-navigation > div {
display: inline !important;
margin:auto 0;
  position: relative;
  top: 25%;
  transform: translateY(-50%);

}

.main-navigation a {
	display: block;
	position:absolute;
	padding: 0 0.5em 0 0;
	position: relative;
	margin:0 0.2375em 0 0.2375em;
	text-decoration: none;
	background:transparent;
	font-size: 16px;
	font-size: 1.6rem;
}

.main-navigation ul {
	list-style: none;
	margin:0;
	width:auto !important;
	display: inline;
}

.main-navigation ul .toggled-on li {
	width:180px !important;
}

.main-navigation ul ul {
	display: none;
}

.main-navigation ul .toggled-on {
	display:inline-block;
	position:absolute;
	background:<?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?>;
	width:200px !important;
	z-index:1001;
}

.main-navigation ul .toggled-on a,
.main-navigation ul .toggled-on .menu-item-description {
	color:#fff;
}

.main-navigation li {
	position: relative;
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
	width:auto !important;
	display:inline-block;
}

.main-navigation li:hover,
.main-navigation li:focus {
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.main-navigation .nav-menu > ul > li:first-child,
.main-navigation .nav-menu > li:first-child {
	border-top: 0;
}

.main-navigation .page_item_has_children > a,
.main-navigation .menu-item-has-children > a {
	padding-right: 1.4em;
	margin-right:0.5825em;
}

.main-navigation .menu-item-description {
	font-size: 14px;
	font-size: 1.4rem;
	font-weight: 400;
	line-height: 1.4;
	margin-top: 0.5em;
}

.no-js .main-navigation ul ul {
	display: block;
}

.dropdown-toggle {
	background-color: transparent;
	border: 1px solid rgba(60,60,60,0);
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	content: "";
	height: 8px;
	padding: 0;
	position: absolute;
	text-transform: lowercase; /* Stop screen readers to read the text as capital letters */
	top: 4px;
	right: 0;
	width: 32px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:after {
	content: "\f431";
	font-size: 16px;
	line-height: 8px;
	position: relative;
	top: 0;
	left: 1px;
	width: 24px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:hover,
.dropdown-toggle:focus {
	border: 1px solid rgba(60,60,60,0);
	background-color: transparent;
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.dropdown-toggle.toggle-on:after {
	content: "\f432";
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.main-navigation ul ul .dropdown-toggle {
	background-color: transparent;
	border: 1px solid rgba(60,60,60,0);
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	content: "";
	height: 8px;
	padding: 0;
	position: absolute;
	text-transform: lowercase; /* Stop screen readers to read the text as capital letters */
	top: 11px;
	right: -7px;
	width: 32px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.main-navigation ul ul .dropdown-toggle:after {
	content: "\f431";
	font-size: 16px;
	line-height: 12px;
	position: relative;
	top: 0px;
	left: 10px;
	width: 24px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
color:#fff !important;
}

.main-navigation .toggled-on li a {
	display: block;
	position:absolute;
	padding: 0.5em;
	position: relative;
	margin:0 0.2375em 0 0.5em;
	text-decoration: none;
	background:transparent;
	font-size: 16px;
	font-size: 1.6rem;
}

.main-navigation > div > ul > li > .toggled-on {
margin-top:1.25em;
}

<?php if (get_theme_mod('quidus_horizontal_menu_cart_enable') == false) : ?>

.horizontal-menu-wrapper {
padding:1em 0 1em 2em;
}

.toggle-search {
border-right:none;
padding: 0 1.1em 0 1.26em;
vertical-align:middle;
height:100%;
}

.search-expand-inner .search-form .search-field {
    margin-left: -176px;
}

.main-navigation {
	padding-right:0.5em;
}


<?php endif; ?>


<?php if (get_theme_mod('quidus_horizontal_menu_search_enable') == false) : ?>

.menu-cart-wrapper {
    padding:0 0.0625em 0 1.5em;
}

.main-navigation {
    display: inline-block !important;
    z-index: 1001;
	padding-right:0.5em;
}

.my-social-wrap {
border-left:1px solid rgba(255,255,255,0.25) !important;
}

.my-social span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
vertical-align:middle;
}

.my-social-wrap a:first-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
padding-left:1.2em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
vertical-align:middle;
}

.my-social-wrap a:last-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
vertical-align:middle;
}

<?php endif; ?>

<?php if ((get_theme_mod('quidus_horizontal_menu_search_enable') == false) and (get_theme_mod('quidus_horizontal_menu_cart_enable')) == false) : ?>

.my-social-wrap a:last-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1.30em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
vertical-align:middle;
}

<?php endif; ?>

.menu-holder {
position:fixed;
z-index:1002;
width:100%;
}

.menu-holder .site-title a {
color:<?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?>;
}

<?php if (get_theme_mod( 'quidus_transparent_menu_home_enable' ) == true) : ?> 

	.home .menu-holder.menu-offset .my-social span,
	.home .menu-holder.menu-offset .main-navigation a,
	.home .menu-holder.menu-offset .toggle-search, 
	.home .menu-holder.menu-offset .menu-cart-wrapper .cart-contents,
	.home .menu-holder.menu-offset .site-description,
	.home .menu-holder.menu-offset .site-title a,
	.home .menu-holder.menu-offset .dropdown-toggle:after {
		color:<?php if ( get_theme_mod('quidus_color_main') == '' ) : echo esc_attr($main_color); else : echo esc_attr($quidus_color_main); endif; ?>;
	}
	
	.home .menu-holder .my-social span, .home .main-navigation a,
	.home .menu-holder .site-description,
	.home .menu-holder .site-title a,
	.home .dropdown-toggle:after,
	.home .toggle-search,
	.home .menu-cart-wrapper .cart-contents, 
	.home .menu-cart-wrapper .cart-contents:focus,
	.home .menu-holder.menu-offset .main-navigation .toggled-on li a {
		color:#fff;
	}
	
	.home .menu-holder {
		background:transparent;
	}
	
	.menu-holder.menu-offset {
		background:#fff;
	}

<?php endif; ?>

}

@media screen and (max-width: 955px) {

.home-header-text-wrapper {
width:38.19660108%;
z-index:1;
bottom:0;
padding: 1em 2em;
color:#fff;
}

.home-header-text {
color:#fff;
}

.site-logo {
margin:0 auto 1em auto;
max-height:auto;
}

.site-header {
	background-color: transparent;
	border-bottom: 0;
	margin: 3em 0;
	padding: 0 1.5em;
}

.site-branding {
	min-height: 0;
	padding: 0;
	text-align:center;
}

.site-branding {
	min-height: 2em;
	position: relative;
}

.site-title {
	font-size: <?php if ( get_theme_mod('quidus_site_title_size') == '' ) : echo "3.9"; else : echo esc_attr((string)(intval($quidus_site_title_size) * 0.039)); endif; ?>rem;
	line-height: 1.2308;
	margin-top: 0.41025em;
	margin-bottom: 0.205125em;
	font-weight:700;
	word-wrap: break-word;
}

.site-description {
	display: block;
	font-weight: 400;
	line-height: 1.6;
	opacity: 1;
	word-wrap: break-word;
}
 
.main-navigation {
	margin: 0 1.5em 3em;
	line-height:1.6;
	border-top:1px solid rgba(60,60,60,0.15);
	border-right:1px solid rgba(60,60,60,0.15);
	border-bottom:1px solid rgba(60,60,60,0.15);
}

.main-navigation a {
	display: block;
	position:absolute;
	padding: 0.75em 0.75em 0.75em 0;
	position: relative;
	margin-left:0.75em;
	text-decoration: none;
	background:transparent;
	font-size: 16px;
	font-size: 1.6rem;
}

.main-navigation ul {
	list-style: none;
	margin: 0;
}

.main-navigation ul ul {
	display: none;
	margin-left: 10px;
}

.main-navigation ul .toggled-on {
	display: block;
}

.main-navigation li {
	position: relative;
	border-top:1px solid rgba(60,60,60,0.15);
	border-left:1px solid rgba(60,60,60,0.15);
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.main-navigation li:hover,
.main-navigation li:focus {
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
	background:rgba(60,60,60,0.15);
}

.main-navigation .nav-menu > ul > li:first-child,
.main-navigation .nav-menu > li:first-child {
	border-top: 0;
}

.main-navigation .page_item_has_children > a,
.main-navigation .menu-item-has-children > a {
	padding-right: 32px;
}

.main-navigation .menu-item-description {
	font-size: 14px;
	font-size: 1.4rem;
	font-weight: 400;
	line-height: 1.4;
	margin-top: 0.5em;
}

.no-js .main-navigation ul ul {
	display: block;
}

.dropdown-toggle {
	background-color: transparent;
	border: 1px solid rgba(60,60,60,0);
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	content: "";
	height: 32px;
	padding: 0;
	position: absolute;
	text-transform: lowercase; /* Stop screen readers to read the text as capital letters */
	top: 4px;
	right: 0;
	width: 32px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:after {
	content: "\f431";
	font-size: 16px;
	line-height: 24px;
	position: relative;
	top: 0;
	left: 1px;
	width: 24px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:hover,
.dropdown-toggle:focus {
	border: 1px solid rgba(60,60,60,0);
	background-color: transparent;
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.dropdown-toggle.toggle-on:after {
	content: "\f432";
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.menu-holder {
position:relative;
width:100%;
}

.float-right {
display:none;
}
.float-right.toggled-on {
display:block;
}

}

.site-logo {
max-height:auto;
display: inline;
max-width:<?php if ( get_theme_mod('quidus_logo_max_width_desktop') == '' ) : echo esc_attr('100px'); else : echo esc_attr($quidus_logo_max_width_desktop); ?>px <?php endif; ?>;
}

.site-logo img {
max-height:auto;
display: inline;
max-width:<?php if ( get_theme_mod('quidus_logo_max_width_desktop') == '' ) : echo esc_attr('100px'); else : echo esc_attr($quidus_logo_max_width_desktop); ?>px <?php endif; ?>;
}


@media screen and (min-width: 768px) and (max-width: 955px) {
 
 .site-logo {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 4); ?>px <?php endif; ?>;
}

.site-logo img {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 4); ?>px <?php endif; ?>;
}

.secondary.toggled-on {
    padding-top:3em;
	margin-top:1.5em;
	margin-bottom:0;
}

.woocommerce .secondary.toggled-on {
    padding-top:3em;
	margin-top:0;
	margin-bottom:1.5em;
}

.site {
margin-top:-1.5em;
}

.woocommerce .site {
margin-top:0;
}

.site-header {
box-shadow:none;
margin: 0 0 1.5em 0;
padding: 3em;
background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
}

.float-right {
    margin: 0 1.5em 1.5em;
    line-height: 1.6;
	padding:1.5em;
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
}

.main-navigation {
margin:0;
padding:1.5em 0;
border:none;
}

.main-navigation li {
border-left:none;
}

.my-social-wrap {
margin-right:-1.35em;
}

.my-social-wrap span {
line-height:3.9rem;
padding-top:1.5em;
font-size:2.3rem;
}

.float-right .toggle-search {
display:none;
}

.float-right .search-form {
max-width:100%;
margin:0 auto;
padding-top:1.5em;
}

.float-right .search-submit {
display:none;
}

.menu-cart-wrapper {
padding-top:1.65em;
max-width:100%;
margin:0 auto;
text-align:center;
line-height:1;
padding-bottom:1.5em;
}

.cart-contents {
font-size: 2.3rem;
margin:0 auto;
}

.header-menu-cart-count {
position:absolute;
border-radius:100%;
-moz-border-radius:100%;
-webkit-border-radius:100%;
height:17px;
width:17px;
padding-left:1px;
line-height:1.7;
font-size:1rem !important;
left:1.4em;
top:-0.50em;
}

.woocommerce .site-content {
padding-top:0 !important;
}

.secondary.toggled-on .widget-area .widget:first-child {
margin: 0 auto 3em;
}

.secondary.toggled-on .widget-area .widget:last-child {
	margin: 0 auto;
}

<?php if ((get_theme_mod('quidus_horizontal_menu_search_enable') == false) and (get_theme_mod('quidus_horizontal_menu_cart_enable')) == false) : ?>

.my-social-wrap span {
padding-top:1.5em;
padding-bottom:1.5em;
}

<?php endif; ?>

<?php if ((get_theme_mod('quidus_horizontal_menu_cart_enable')) == false) : ?>

.float-right .search-form {
padding-top:1.5em;
padding-bottom:1.5em;
}

<?php endif; ?>

}

 @media screen and (min-width: 480px) and (max-width: 768px) {
 
 .site-logo {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 3); ?>px <?php endif; ?>;
}

.site-logo img {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 3); ?>px <?php endif; ?>;
}

.site-header {
box-shadow:none;
margin: 0 0 1.5em;
padding: 2em 3em;
background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
}

.float-right{
    margin: 0 1.5em 1.5em 1.5em !important;
    line-height: 1.6;
	padding:1.5em 1.5em 2em;
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
}

.main-navigation li {
border-left:none;
}

.main-navigation {
margin:0 auto;
padding:0.5em 0;
border:none;
width:100%;
}

.my-social-wrap {
margin-right:-1.4em;
}

.my-social-wrap span {
line-height:3.9rem;
padding-top:1.5em;
font-size:2.3rem;
}

.float-right .toggle-search {
display:none;
}

.float-right .search-form {
width:100%;
margin:0 auto;
padding-top:1.5em;
}

.float-right .search-submit {
display:none;
}

.menu-cart-wrapper {
padding-top:1.65em;
max-width:100%;
margin:0 auto;
text-align:center;
line-height:1;
}

.cart-contents {
font-size: 2.3rem;
margin:0 auto;
}

.secondary.toggled-on {
    padding-top:2em;
	margin-top:1.5em;
	margin-bottom:0;
}

.woocommerce .secondary.toggled-on {
    padding-top:3em;
	margin-top:0;
	margin-bottom:1.5em;
}

.site {
margin-top:-1.5em;
}

.woocommerce .site {
margin-top:0;
}

.header-menu-cart-count {
position:absolute;
border-radius:100%;
-moz-border-radius:100%;
-webkit-border-radius:100%;
height:17px;
width:17px;
padding-left:1px;
line-height:1.7;
font-size:1rem !important;
left:1.4em;
top:-0.50em;
}

.woocommerce .site-content {
padding-top:0 !important;
}

.secondary.toggled-on .widget-area .widget:first-child {
margin: 0 auto 2em!important;
}

.secondary.toggled-on .widget-area .widget:last-child {
	margin: 0 auto!important;
}

}

 @media screen and (max-width: 480px) {
 
.site-logo {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 2); ?>px <?php endif; ?>;
margin: 0.5em auto 0.5em;
padding-top:0.5em;
}

.site-branding {
padding-top:0.5em;
text-align:left;
}

.site-logo img {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 2); ?>px <?php endif; ?>;
}

.main-navigation li {
border-left:none;
}

.site-header {
box-shadow:none;
margin: 0 0 1em;
padding: 2em;
background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
}

.float-right{
    margin: 0 1em 1em 1em !important;
    line-height: 1.6;
	padding:1.5em 1em 2em;
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
}

.main-navigation {
margin:0;
padding:0.5em 0 1em;
border:none;
width:100%;
}

.my-social-wrap {
margin-right:-1.5em;
}

.my-social-wrap span {
line-height:3.5rem;
font-size: 2rem;
padding-top:1em;
}

.float-right .toggle-search {
display:none;
}

.float-right .search-form {
max-width:100%;
margin:0 auto;
padding-top:1em;
}

.float-right .search-submit {
display:none;
}

.menu-cart-wrapper {
padding-top:1.1em;
max-width:100%;
margin:0 auto;
text-align:center;
line-height:1;
}

.cart-contents {
font-size: 1.9rem;
margin:0 auto;
}

.secondary.toggled-on {
    padding-top:2em;
	margin-top:1em;
	margin-bottom:0;
}

.woocommerce .secondary.toggled-on {
    padding-top:2em;
	margin-top:0;
	margin-bottom:1em;
}

.site {
margin-top:-1em;
}

.woocommerce .site {
margin-top:0;
}

.header-menu-cart-count {
position:absolute;
border-radius:100%;
-moz-border-radius:100%;
-webkit-border-radius:100%;
height:17px;
width:17px;
padding-left:1px;
line-height:1.7;
font-size:1rem !important;
left:1.4em;
top:-0.50em;
}

.secondary.toggled-on .widget-area .widget:first-child {
margin: 0 auto 2em;
}

.secondary.toggled-on .widget-area .widget:last-child {
	margin: 0 auto;
}

.woocommerce .site-content {
padding-top:0 !important;
}

}

<?php else : ?>

.home-header-text-wrapper {
width:38.19660108%;
z-index:1;
bottom:0;
padding: 1em 2em;
color:#fff;
}

.home-header-text {
color:#fff;
}

.site-logo {
margin:0 auto 1em auto;
max-height:auto;
}

<?php if ( get_theme_mod( 'quidus_logo' ) ) : ?>
.my-social-wrap {
padding-top:1.5em;
}
<?php endif; ?>

.my-social-wrap {
margin-right:-1em;
}

.site-header {
	background-color: transparent;
	border-bottom: 0;
	margin: 3em 0;
	padding: 0 1.5em;
}

.site-branding {
	min-height: 0;
	padding: 0;
	text-align:center;
}

.site-branding {
	min-height: 2em;
	position: relative;
}

.site-title {

	font-size: <?php if ( get_theme_mod('quidus_site_title_size') == '' ) : echo "3.9"; else : echo esc_attr((string)(intval($quidus_site_title_size) * 0.039)); endif; ?>rem;
	line-height: 1.2308;
	margin-top: 0.41025em;
	margin-bottom: 0.205125em;
	font-weight:700;
	word-wrap: break-word;
}

.site-description {
	display: block;
	font-weight: 400;
	line-height: 1.6;
	opacity: 1;
	word-wrap: break-word;
}
 
.main-navigation {
	margin: 0 1.5em 3em;
	line-height:1.6;
	border-top:1px solid rgba(60,60,60,0.15);
	border-right:1px solid rgba(60,60,60,0.15);
	border-bottom:1px solid rgba(60,60,60,0.15);
}

.main-navigation a {
	display: block;
	position:absolute;
	padding: 0.75em 0.75em 0.75em 0;
	position: relative;
	margin-left:0.75em;
	text-decoration: none;
	background:transparent;
	font-size: 16px;
	font-size: 1.6rem;
}

.main-navigation ul {
	list-style: none;
	margin: 0;
}

.main-navigation ul ul {
	display: none;
	margin-left: 10px;
}

.main-navigation ul .toggled-on {
	display: block;
}

.main-navigation li {
	position: relative;
	border-top:1px solid rgba(60,60,60,0.15);
	border-left:1px solid rgba(60,60,60,0.15);
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.main-navigation li:hover,
.main-navigation li:focus {
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
	background:rgba(60,60,60,0.15);
}

.main-navigation .nav-menu > ul > li:first-child,
.main-navigation .nav-menu > li:first-child {
	border-top: 0;
}

.main-navigation .page_item_has_children > a,
.main-navigation .menu-item-has-children > a {
	padding-right: 32px;
}

.main-navigation .menu-item-description {
	font-size: 14px;
	font-size: 1.4rem;
	font-weight: 400;
	line-height: 1.4;
	margin-top: 0.5em;
}

.no-js .main-navigation ul ul {
	display: block;
}

.dropdown-toggle {
	background-color: transparent;
	border: 1px solid rgba(60,60,60,0);
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	content: "";
	height: 32px;
	padding: 0;
	position: absolute;
	text-transform: lowercase; /* Stop screen readers to read the text as capital letters */
	top: 4px;
	right: 0;
	width: 32px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:after {
	content: "\f431";
	font-size: 16px;
	line-height: 24px;
	position: relative;
	top: 0;
	left: 1px;
	width: 24px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:hover,
.dropdown-toggle:focus {
	border: 1px solid rgba(60,60,60,0);
	background-color: transparent;
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.dropdown-toggle.toggle-on:after {
	content: "\f432";
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

@media screen and (min-width: 768px) and (max-width: 955px) {

.site-logo {
width: 100% !important;
text-align:left;
}

.site-header {
    padding: 3em;
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
	margin:0;
}

.main-navigation {
    margin: 3em 30% 0;
}

.my-social-wrap span {
padding-top:1em;
}

}

@media screen and (min-width: 480px) and (max-width: 768px) {

.site-logo {
width: 100% !important;
text-align:left;
}

.site-header {
    padding: 2em 3em;
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
	margin:0;
}

.main-navigation {
    margin: 2em 20% 0;
}

.my-social-wrap span {
padding-top:1em;
}

}

@media screen and (max-width: 480px) {

.site-logo {
width: 100% !important;
text-align:left;
vertical-align:middle
}

.site-logo img {
vertical-align:middle
}

.site-header {
    padding: 2em;
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif ( get_theme_mod('quidus_color_content_background') == '' ) : echo "#fff"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px rgba(60, 60, 60, 0.<?php if ( get_theme_mod('quidus_box_shadow_opacity') == '' ) : echo "15"; else : echo esc_attr($quidus_box_shadow_opacity); endif; ?>);
	margin:0;
}

.main-navigation {
    margin: 2em 1em 0;
}

.my-social-wrap span {
padding-top:1em;
}

}

<?php endif; ?>
 

</style>

<?php
}

add_action('wp_head', 'quidus_css_customizer');

function quidus_author_social() {
	
	global $social_networks;

	echo '<div class="author-social-wrap">';
	foreach ($social_networks as $network) {
	$networks = array(); $networks['author_' . lcfirst($network)] = get_theme_mod('author_' . lcfirst($network));
		if(strpos($networks['author_' . lcfirst($network)], lcfirst($network)) !== false){ echo '<a class="author-social" href="' . esc_url($networks['author_' . lcfirst($network)]) . '"><span class="genericon genericon-' . lcfirst($network) . '"></span></a>'; }
	
	} $google_network = get_theme_mod('author_googleplus');
	if(strpos($google_network, 'plus.google.com') !== false){ echo '<a class="author-social" href="' . esc_url($google_network) . '"><span class="genericon genericon-googleplus"></span></a>'; }
	echo '</div>';
	
}

function quidus_my_social() {
	
	global $social_networks; 
	global $linkscount; 
	
	foreach ($social_networks as $network) {
		$networks = array(); $networks['my_' . lcfirst($network)] = get_theme_mod('my_' . lcfirst($network));
		if(strpos($networks['my_' . lcfirst($network)], lcfirst($network)) !== false) {
		$linkscount++;
		}
	}
	
	if ($linkscount > 0) {
	echo '<div class="my-social-wrap">';
	foreach ($social_networks as $network) {
	
	$networks['my_' . lcfirst($network)] = get_theme_mod('my_' . lcfirst($network));
		if(strpos($networks['my_' . lcfirst($network)], lcfirst($network)) !== false){ echo '<a class="my-social" href="' . esc_url($networks['my_' . lcfirst($network)]) . '"><span class="genericon genericon-' . lcfirst($network) . '"></span></a>'; }
	
	} $google_network = get_theme_mod('my_googleplus');
	if(strpos($google_network, 'plus.google.com') !== false){ echo '<a class="my-social" href="' . esc_url($google_network) . '"><span class="genericon genericon-googleplus"></span></a>'; }
	echo '</div>';
	}
}

function quidus_footer_social() {
	
	global $social_networks; 
	echo '<div class="footer-social-wrap">';
	foreach ($social_networks as $network) {
	$networks = array(); $networks['footer_' . lcfirst($network)] = get_theme_mod('footer_' . lcfirst($network));
		if(strpos($networks['footer_' . lcfirst($network)], lcfirst($network)) !== false){ echo '<a class="footer-social" href="' . esc_url($networks['footer_' . lcfirst($network)]) . '"><span class="genericon genericon-' . lcfirst($network) . '"></span></a>'; }
	
	} $google_network = get_theme_mod('footer_googleplus');
	if(strpos($google_network, 'plus.google.com') !== false){ echo '<a class="footer-social" href="' . esc_url($google_network) . '"><span class="genericon genericon-googleplus"></span></a>'; }
	echo '</div>';
	
}

/**
 * Binds JS handlers to make the Customizer preview reload changes asynchronously.
 *
 */
function quidus_customize_preview_js() {
	wp_enqueue_script( 'quidus-customize-preview', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20141216', true );
}
add_action( 'customize_preview_init', 'quidus_customize_preview_js' );

